Get PDF URL for submission
Returns the PDF URL for a form submission if it exists.
GET
/
forms
/
{formId}
/
submissions
/
{submissionId}
/
pdf-url
Get PDF URL for submission
curl --request GET \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
Last modified on March 8, 2026
Was this page helpful?
Get PDF URL for submission
curl --request GET \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/pdf-url"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}